<?php namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class Create_notifications extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'id'=>['type'=>'BIGINT','unsigned'=>true,'auto_increment'=>true],
            'user_id'=>['type'=>'BIGINT','unsigned'=>true],
            'title'=>['type'=>'VARCHAR','constraint'=>255],
            'body'=>['type'=>'TEXT'],
            'is_read'=>['type'=>'TINYINT','constraint'=>1,'default'=>0],
            'created_at'=>['type'=>'DATETIME','null'=>true],
        ]);
        $this->forge->addKey('id', true);
        $this->forge->createTable('notifications');
    }

    public function down()
    {
        $this->forge->dropTable('notifications');
    }
}
